DROP TABLE IF EXISTS entries;

CREATE TABLE entries (
  id     INTEGER PRIMARY KEY,
  edited INTEGER,
  uri    TEXT UNIQUE,
  xml    BLOB
);

DROP TABLE IF EXISTS medias;

CREATE TABLE medias (
  id            INTEGER PRIMARY KEY,
  edited        INTEGER,

  entry_uri     TEXT UNIQUE,
  entry_body    BLOB,             -- XML

  media_uri     TEXT UNIQUE,
  media_body    BLOB,             -- Base64
  media_type    TEXT
);

DROP TABLE IF EXISTS users;

CREATE TABLE users (
  id       INTEGER PRIMARY KEY,
  username TEXT UNIQUE,
  password TEXT
);

INSERT INTO users (username, password) VALUES ('guest', '900150983cd24fb0d6963f7d28e17f72');

ALTER TABLE entries ADD COLUMN etag TEXT;
